package com.atmob.voiceai.dialog;

import android.content.Context;

import androidx.annotation.NonNull;

import com.atmob.app.lib.base.BaseDialog;
import com.atmob.voiceai.R;
import com.atmob.voiceai.databinding.DialogCloneDeleteSureBinding;

@BaseDialog.FullScreen(height = false)
public class CloneDeleteSureDialog extends BaseDialog<DialogCloneDeleteSureBinding> {

    private OnSureClickListener onSureClickListener;


    public void setOnSureClickListener(OnSureClickListener onSureClickListener) {
        this.onSureClickListener = onSureClickListener;
    }

    public CloneDeleteSureDialog(@NonNull Context context) {
        super(context, R.style.Theme_Common_Dialog);
        binding.setCancelClick(v -> {
            dismiss();
        });
        binding.setDeleteClick(v -> {
            if (onSureClickListener != null)
                onSureClickListener.onSureClick();
            dismiss();
        });
    }

    public interface OnSureClickListener {
        void onSureClick();
    }
}
